Loading...
Searching...
No Matches
sftp_limits_struct Struct Reference
The libssh SFTP API

SFTP limits structure. More...

`#include <sftp.h>`

## Data Fields

uint64_t | max_packet_length
uint64_t | max_read_length
uint64_t | max_write_length
uint64_t | max_open_handles

## Detailed Description

SFTP limits structure.

## Field Documentation

## max_open_handles

uint64_t sftp_limits_struct::max_open_handles

maximum length in a SSH_FXP_WRITE packet

## max_read_length

uint64_t sftp_limits_struct::max_read_length

maximum number of bytes in a single sftp packet

## max_write_length

uint64_t sftp_limits_struct::max_write_length

maximum length in a SSH_FXP_READ packet

The documentation for this struct was generated from the following file:

- /build/libssh-dh3ZiS/libssh-0.12.0/include/libssh/sftp.h